
From: Anton Blanchard <anton@samba.org>

As with sparc64, the ppc64 version of semtimedop was incorrect - the
timeout is in the fifth argument. I got caught copying again :)

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/sys_ppc32.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-fix-semtimedop-compat-syscall arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-fix-semtimedop-compat-syscall	2005-03-21 21:53:46.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2005-03-21 21:53:46.000000000 -0800
@@ -504,11 +504,11 @@ long sys32_ipc(u32 call, u32 first, u32 
 	switch (call) {
 
 	case SEMTIMEDOP:
-		if (third)
+		if (fifth)
 			/* sign extend semid */
 			return compat_sys_semtimedop((int)first,
 						     compat_ptr(ptr), second,
-						     compat_ptr(third));
+						     compat_ptr(fifth));
 		/* else fall through for normal semop() */
 	case SEMOP:
 		/* struct sembuf is the same on 32 and 64bit :)) */
_
